Create Alert Destination
Create Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Create Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
"email" | "discord" | "webhook"Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/activity.createAlertDestination" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "name": "string", "type": "email", "target": "string" }'{ "result": { "data": { "id": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "enabled": true, "organizationId": "string", "createdByMemberId": "string", "type": "string", "target": "string" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Acknowledge Organization Activity Event POST
Acknowledge Organization Activity Event. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Create Alert Rule POST
Create Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.